### Method

# Gdk Dropstatus

#### Declaration [src]

    void
    gdk_drop_status (
      GdkDrop* self,
      GdkDragAction actions,
      GdkDragAction preferred
    )

#### Description [src]

Selects all actions that are potentially supported by the destination.

When calling this function, do not restrict the passed in actions to the ones provided by `gdk_drop_get_actions()`. Those actions may change in the future, even depending on the actions you provide here.

The `preferred` action is a hint to the drag-and-drop mechanism about which action to use when multiple actions are possible.

This function should be called by drag destinations in response to `GDK_DRAG_ENTER` or `GDK_DRAG_MOTION` events. If the destination does not yet know the exact actions it supports, it should set any possible actions first and then later call this function again.

#### Parameters

`actions`

  Type: `GdkDragAction`

  Supported actions of the destination, or 0 to indicate that a drop will not be accepted.

`preferred`

  Type: `GdkDragAction`

  A unique action that’s a member of `actions` indicating the preferred action.